pmem::obj::object_traits< void > Class Template Reference

Object traits specialization for the void type. More...

`#include <libpmemobj++/allocator.hpp>`

## Classes

struct | rebind
| Rebind to a different type. More...

## Public Member Functions

| object_traits ()=default
| Defaulted constructor.
| ~object_traits ()=default
| Defaulted destructor.
template<typename U >
| object_traits (object_traits< U > const &)
| Type converting constructor.

## Detailed Description

### template<>
class pmem::obj::object_traits< void >

Object traits specialization for the void type.

Designed to be used with C++ allocators. Can be specialized if necessary.

The documentation for this class was generated from the following file:

- pmdk-1.4.1/src/include/libpmemobj++/allocator.hpp